
QGIS Application - Bug report #13001

bigint geometries empty

2015-06-19 12:48 AM - Bernhard Ströbl

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider

Affected QGIS version:2.8.2 Regression?: No

Operating System: any Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21078

Description

I have a PostGIS table with the pk being a bigint. If I put an integer into the bigint field all works ok (e.g. copy and paste features). If I

input some really big numbers e.g. 

UPDATE table set idfield = idfield * 100000000  + 2317845

the geometry of any feature is None so copy/paste does not work.

I tested in the Python console:

l = iface.activeLayer()

f = l.selectedFeatures()[0]

g = f.geometry()

g == None # True if really bigint, False if integer in bigint field

This is maybe related to #9371

Associated revisions

Revision 1a6aee18 - 2015-06-19 08:04 PM - Jürgen Fischer

handle 64bit feature ids (fixes #13001)

Revision 07e9e0fa - 2015-06-30 01:49 PM - Jürgen Fischer

handle 64bit feature ids in selections (fixes #13001)

(cherry picked from commit 1a6aee18f03614addbc0a104e38ec0c476890569)

History

#1 - 2015-06-19 11:04 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1a6aee18f03614addbc0a104e38ec0c476890569".
